//
// Created by robtor on 09.12.22.
//

#ifndef FLOATPUMP_MENU_ENTRY_H
#define FLOATPUMP_MENU_ENTRY_H

#include <string>

namespace floatpump {
    namespace menu {


        template<class t> class Menu_Entry_Type_Delegate {
        public:
             virtual std::string toString();
             virtual void u_press();
             virtual void u_increase(uint16_t steps = 1);
             virtual void u_decrease(uint16_t steps = 1);
             virtual bool s_entered();
             virtual bool u_leave();
             virtual t getValue();
             virtual void p_setName(std::string name);
        };

    } // floatpump
} // menu

#endif //FLOATPUMP_MENU_ENTRY_H
